Bug 730766 - Need to call sync on a cloned product's repositories
Summary: Need to call sync on a cloned product's repositories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-15 17:20 UTC by Mike McCune
Modified: 2019-02-25 21:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:52:33 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-08-15 17:20:55 UTC
If you promote a product from the Locker to the 1st environment and then come back later and re-promote that product again you won't see any calls to sync the cloned repositories from that product in the 1st environment.

This is needed to mass sync any new content from the Product in the Locker into the target environment.  Otherwise the user has to selectively find things that are new and manually promote them.

Example:

1) Setup

Locker -> DEV
ProdA

2) Promote

Locker -> DEV
ProdA -> ProdA-clone

3) re-sync new content to Locker that ends up in ProdA

4) Create new changeset for Locker -> DEV and add ProdA 

5) Promote changeset

In the above case there aren't any calls to sync ProdA-clone and the new content that landed in step 3) never shows up in DEV.

Comment 1 Dmitri Dolguikh 2011-08-16 15:24:23 UTC
fixed in 3288de5082e5d603baa667f7dc4b4b3436ed0b24

Comment 2 Sachin Ghai 2011-08-25 12:33:01 UTC
Verified with following katello build:

[root@dhcp201-167 repo]# rpm -qa | grep katello
katello-cli-0.1.5-1.git.15.654a7df.fc15.noarch
katello-0.1.70-1.git.7.ca8d03c.fc15.noarch


I created a repo and then promote it from 'Locker' to Dev. 
Then later added few more updates in that repo and again created a new changeset to promote that from 'Locker to 'dev'.

Locker ==> Dev
prodA ==> ProdA_clone.

Added updates in prodA and Created a new changeset.

Locker ==> Dev
prodA ==>prodA_clone

I can see newly added updates in the Dev and under the prodA_clone.

Comment 5 Mike McCune 2013-08-16 17:59:36 UTC
getting rid of 6.0.0 version since that doesn't exist


Note You need to log in before you can comment on or make changes to this bug.